Name:           mypaint
Version:        2.0.1
Release:        %mkrel 2
Summary:        Paint program for use with graphics tablets
Group:          Graphics
License:        GPLv2+
URL:            http://mypaint.org
Source0:        https://github.com/mypaint/mypaint/releases/download/v%{version}/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(libmypaint)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(mypaint-brushes-2.0)
BuildRequires:  python3-devel
BuildRequires:  python3-numpy-devel
BuildRequires:  python3-setuptools
BuildRequires:  swig

%description
MyPaint is a pressure- and tilt-sensitive painting program which works
well with Wacom graphics tablets and other similar devices. It comes
with a large brush collection including charcoal and ink to emulate
real media, but the highly configurable brush engine allows you to
experiment with your own brushes and with not-quite-natural painting.

%prep
%setup -q
%apply_patches

# for 64 bit
sed -i 's|lib/mypaint|%{_lib}/mypaint|g' mypaint.py
sed -i "s|'lib', 'mypaint'|'%{_lib}', 'mypaint'|" mypaint.py

%build
%{__python3} setup.py build_ext
%{__python3} setup.py build_py
%{__python3} setup.py build_translations
%{__python3} setup.py build_config

%install
%{__python3} setup.py managed_install --prefix=%{buildroot}%{_prefix}
[[ %{_lib} != lib ]] && mv %{buildroot}%{_prefix}/lib %{buildroot}%{_prefix}/%{_lib}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name} --all-name

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/%{name}-ora-thumbnailer
%{_datadir}/%{name}/
%{_libdir}/%{name}/
%{_datadir}/metainfo/mypaint.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/thumbnailers/%{name}-ora.thumbnailer
%{_iconsdir}/hicolor/*/*/*


%changelog
* Sat Feb 25 2023 tex - 2.0.1-2pclos2023
- rebuild against updates

* Mon Mar 28 2021 tex - 2.0.1-1pclos2021
- new version

* Tue Mar 31 2020 tex - 2.0.0-1pclos2020
- new version 2.0.0
